// Copyright (c) Microsoft Corporation and Contributors.
// Licensed under the MIT License.

using Microsoft.UI.Xaml;
using Microsoft.UI.Xaml.Controls;
using Microsoft.UI.Xaml.Controls.Primitives;
using Microsoft.UI.Xaml.Data;
using Microsoft.UI.Xaml.Input;
using Microsoft.UI.Xaml.Media;
using Microsoft.UI.Xaml.Navigation;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;

// To learn more about WinUI, the WinUI project structure,
// and more about our project templates, see: http://aka.ms/winui-project-info.

namespace MediaPlayer_vs_AudioGraph_Demo
{
    /// <summary>
    /// An empty window that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainWindow : Window
    {
        public MainWindow()
        {
            this.InitializeComponent();
        }

        //private readonly ISignalOutput signalOutput = new MediaStreamSignalOutput();
        //private readonly ISignalOutput signalOutput = new AudioGraphSignalOutput();
        private readonly ISignalOutput signalOutputMediaStream = new MediaStreamSignalOutput();
        private readonly ISignalOutput signalOutputAudioGraph = new AudioGraphSignalOutput();

        private void btnMediaPlayerOutput_Click(object sender, RoutedEventArgs e)
        {
            //signalOutput.StartTransmit(0x04, 0xFB, 0xFF);
            signalOutputMediaStream.StartTransmit(0x04, 0xFB, 0xFF);
        }

        private void btnAudioGraphOutput_Click(object sender, RoutedEventArgs e)
        {
            //signalOutput.StartTransmit(0x04, 0xFB, 0xFF);
            signalOutputAudioGraph.StartTransmit(0x04, 0xFB, 0xFF);
        }
    }
}
